%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom
%define xulrunner 1.9
%define xulname %mklibname xulrunner %xulrunner
%define xulver %(rpm -q --queryformat %%{VERSION} %xulname)

%define major		0
%define libname		%mklibname %{name} %{major}

%define rel	8
%define svn	0

%if %svn
%define release		%mkrel 0.%{svn}.%{rel}
%define distname	%{name}-%{svn}.tar.lzma
%define dirname		%{name}
%else
%define release		%mkrel %{rel}
%define distname	%{name}-%{version}.tar.gz
%define dirname		%{name}-%{version}
%endif

Name:		kazehakase
Summary:	A fast and light tabbed web browser using gecko
Version:	0.5.6
Release:	%{release}
URL:		http://kazehakase.sourceforge.jp
Source0:	%{distname}
# icons
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
Patch0:		kazehakase-0.5.5-gentoo-xulrunner19.patch
Patch1:		kazehakase-0.5.5-underlink.patch
Patch2:		kazehakase-0.5.6-fix-str-fmt.patch
Patch3:		kazehakase-0.5.6-gnutls-2.8.patch
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2+
Requires:	%{libname} = %{version}
Requires:	%{xulname} = %{xulver}
BuildRequires:	intltool
BuildRequires:	xulrunner-devel-unstable
BuildRequires:	desktop-file-utils
BuildRequires:	gtk+2-devel
BuildRequires:	automake
BuildRequires:	gnutls-devel

%description
Kazehakase is a fast and light tabbed browser using gecko.
"Kaze" means "wind", and "Hakase" means "Dr." in Japanese.


%package -n %{libname}
Summary:	Kazehakase library
Group:		System/Internationalization

%description -n %{libname}
Kazehakase library.


%prep
%setup -q -n %{dirname}
%patch0 -p1 -b .xul
%patch1 -p1 -b .underlink
%patch2 -p0 -b .str
%patch3 -p0 -b .gnutls

%build
./autogen.sh
%configure2_5x \
	--enable-migemo \
	--with-gecko-engine=libxul
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

# icons
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{SOURCE10} %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 %{SOURCE11} %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 %{SOURCE12} %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# remove devel files
rm -f %{buildroot}/%{_libdir}/kazehakase/*.{la,so}

# menu
sed -i -e 's,kazehakase-icon.png,%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="WebBrowser" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING.README 
%doc README README.ja TODO.ja
%config(noreplace) %{_sysconfdir}/kazehakase/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%dir %{_libdir}/kazehakase
%dir %{_libdir}/kazehakase/embed
%{_libdir}/kazehakase/embed/gecko.la
%{_libdir}/kazehakase/embed/gecko.so
%dir %{_libdir}/kazehakase/search
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/kazehakase/*.so.%{major}*


%changelog
* Sat Jun 13 2009 Funda Wang <fundawang@mandriva.org> 0.5.6-8mdv2010.0
+ Revision: 385671
- rebuild for new xulrunner

* Wed Jun 03 2009 Funda Wang <fundawang@mandriva.org> 0.5.6-7mdv2010.0
+ Revision: 382369
- build with gnutls 2.8

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.5.6-6mdv2010.0
+ Revision: 369819
- rebuild for new xulrunner

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.5.6-5mdv2009.1
+ Revision: 361844
- rebuild for xulrunner 1.9.0.8

* Mon Mar 16 2009 Funda Wang <fundawang@mandriva.org> 0.5.6-4mdv2009.1
+ Revision: 355846
- rebuild

* Wed Feb 04 2009 Funda Wang <fundawang@mandriva.org> 0.5.6-3mdv2009.1
+ Revision: 337276
- rebuild

* Tue Feb 03 2009 Funda Wang <fundawang@mandriva.org> 0.5.6-2mdv2009.1
+ Revision: 337067
- fix str fmt
- rebuild for new xulrunner

* Fri Nov 07 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.6-1mdv2009.1
+ Revision: 300893
- rebuild for changed xcb
- new release 0.5.6

* Tue Sep 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.6-0.3511.2mdv2009.0
+ Revision: 289923
- rebuild for new xulrunner

* Wed Sep 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.6-0.3511.1mdv2009.0
+ Revision: 283625
- clean file list a bit
- no need for an explicit provides in the lib package
- no need for an explicit dependency on libxulrunner, it gets an auto one
- add underlink.patch: fix underlinking
- add gentoo-xulrunner19.patch: from Gentoo, fix build with xul 1.9
- bump to current SVN (0.5.5 doesn't seem to build and I can't isolate the fix)

  + Funda Wang <fundawang@mandriva.org>
    - New version 0.5.5
    - build with libxul
    - New version 0.5.4

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 159423
- drop explicit mozilla-firefox dependency (#36103)
- new release 0.5.2

* Wed Jan 23 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-2mdv2008.1
+ Revision: 156944
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Adam Williamson <awilliamson@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 107220
- oops, correct icon name fix
- don't package COPYING
- further XDG menu fixups
- drop legacy menu and X-Mandriva category
- fd.o icons
- spec clean
- clean and update buildrequires
- new license policy
- new release 0.5.0

* Thu May 03 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.4.6-1mdv2008.0
+ Revision: 21501
- Updated to 0.4.6.


* Tue Feb 06 2007 Lenny Cartier <lenny@mandriva.com> 0.4.4.1-2mdv2007.0
+ Revision: 116688
- Less options in configure
- Update to 0.4.4.1
- Update to 0.4.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - add missing buildrequires
    - Import kazehakase

* Thu Oct 05 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-1mdv2007.0
- new release

* Sat Sep 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-2.20060915.1mdv2007.0
- latest snapshot
- remove patch0

* Wed Sep 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdv2007.0
- new release
- switch to XDG
- remove patch0 (kazehakase_enable_hyperestraier.diff)
- (merged upstream)
- change gecko engine (mozilla -> firefox)
- add new patch0 (kazehakase-force_gecko_version.diff)

* Fri Jan 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.4-1mdk
- new release
- change gecko engine (firefox -> mozilla)
- we can't build kazehakase-0.3.4 against firefox-1.5. :-/
- add a lib package

* Thu Dec 01 2005 Lenny Cartier <lenny@mandriva.com> 0.3.3-1mdk
- 0.3.3

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.2-2mdk
- fix buildrequires
- cleanup requires
- from UTUMI Hirosi:
  o new release
  o patch 0: enable hyperestraier

* Sun Oct 30 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.3.2-1mdk
- from UTUMI Hirosi
	- new release
	- add libgnutls11 to requires

* Tue Aug 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.9-1mdk
- do not overwrite configuration on update
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Jul 01 2005 Lenny Cartier <lenny@mandriva.com> 0.2.8-1mdk
- 0.2.8

* Mon May 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.7-1mdk
- new release

* Wed Mar 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.6-1mdk
- new release
- modify summary (browser -> web browser)
- change requires/buildrequires (mozilla -> mozilla-firefox)
- add "--with-gecko-engine=firefox" to configure

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- new release
- fix build

* Wed Dec 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.3-1mdk
- new release

* Mon Nov 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.2-1mdk
- new release

* Tue Nov 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-2mdk
- new release
- add icons

* Fri Oct 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1.cvs20040930.1mdk
- new release
- cvs20040930

* Tue Sep 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.9-2.cvs20040927.1mdk
- cvs20040927

* Fri Aug 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8.1-1mdk
- cleanup
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o initial spec for mdk
  o patch 0: fix autogen

